%{?nodejs_find_provides_and_requires}

%global packagename spawn-wrap
%global enable_tests 1

Name:		nodejs-spawn-wrap
Version:	1.0.1
Release:	2%{?dist}
Summary:	Wrap all spawned Node.js child processes with environs and args

License:	ISC
URL:		https://github.com/isaacs/spawn-wrap.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	npm(foreground-child)
BuildRequires:	npm(mkdirp)
BuildRequires:	npm(rimraf)
BuildRequires:	npm(signal-exit)
BuildRequires:	npm(tap)
%endif

Requires:	nodejs

%description
Wrap all spawned Node.js child processes by adding environs and arguments ahead
of the main JavaScript file argument.


%prep
%setup -q -n package


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
/usr/bin/tap test/*.js
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Fri Nov 06 2015 Jared Smith <jsmith@fedoraproject.org> - 1.0.1-2
- Fix tests to run correctly

* Tue Oct 27 2015 Jared Smith <jsmith@fedoraproject.org> - 1.0.1-1
- Initial packaging
